/*
 * olv_70010.c
 * Olivetti M700-10 specific routines
 *
 * written by Stoned Elipot & Luc Beurton
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License. See the file COPYING in the main directory of this archive for more
 * details.
 */

#include <linux/tty.h>
#include <asm/io.h>
#include <stand/debug.h>

extern struct screen_info si;

/*
 * Olivetti_M700_10_init()
 */
int Olivetti_M700_10_init(void)
{
  /*
   * FIXME: only true for 1280x1024 video mode
   *        we should find a means to get the video
   *        lines and columns of the GS364
   */
  if (debuglevel >=3)
    printf("Olivetti M700-10 pre-launch initialization\r\n");

  si.orig_x = 0;		/* start at col. 0, line 40 */
  si.orig_y = 40;
  si.orig_video_cols  = 160;	/* 160 * 8 = 1280 pixels */
  si.orig_video_lines = 64;	/* 64 * 16 = 1024 pixels */
  
  return 0;
}
